let table = $('#t1');

$(function () {
  let options = table.bootstrapTable('getOptions');
  options.height = document.getElementById('content').clientHeight - 170;
  table.bootstrapTable('refreshOptions', options);
});

function tableresize() {
  let options = table.bootstrapTable('getOptions');
  options.height = document.getElementById('content').clientHeight - 170;
  table.bootstrapTable('refreshOptions', options);
}

window.addEventListener("resize", tableresize);